local _, vars = ...;
local Ld, La = {}, {}
local locale = GetLocale()

vars.L = setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
})

-- Ld means default (english) if no translation found. So we don't need a translation for "enUS" or "enGB".
Ld["View"] = "View"
Ld["Ok"] = "OK"
Ld["Scheduled Event"] = "Today you have a upcoming event."
Ld["Scheduled Events"] = "Today you have %s upcoming events."
Ld["Pending Invite"] = "You have a pending invitation to an event!"
Ld["Pending Invites"] = "You have %s pending invites to an event!"
Ld["GuildEvent"] = "You have an pending guild event!"
Ld["GuildEvents"] = "You have %s pending guild events!"
Ld["TxtEventStartsSoon"] = "|cFFFF0000%s: |cff00E5EE%s |rstarts in |cff00E5EE%d |rminutes"
Ld["DlgEventStartsSoon"] = "%s starts in %d minutes"
Ld["Dlg2EventStartsSoon"] = "|cFFFF0000%s: |r%s starts in %d minutes"
Ld["EventRemoved"] = "It was probably changed an event."
Ld["InGuild"] = "You're in a guild."
Ld["NoGuild"] = "You aren't in a guild."
Ld["GuildLeader"] = "You're the guild master."
Ld["MsgToGuild"] = "Chat messages to the guild are active."
Ld["NoMsgToGuild"] = "Chat messages to the guild are not active."
Ld["Queued"] = "Command is queued."
Ld["ResetFinish"] = "All data have been reset."
Ld["Loaded"] = "loaded."
Ld["EnterCommands"] = "Enter |cff00E5EE/cen|r for commands."
Ld["HelpHeader"] = "Commands for |cff00E5EE/cen|r:"
Ld["HelpSendMsg"] = "|cff00E5EEsendmsg|r Notifications to guild (on / off)"
Ld["HelpReset"] = "|cff00E5EEreset|r Deletes all collected data"

if locale == "deDE" then do end
	La["View"] = "Zeigen"
	La["Ok"] = "OK"
	La["Scheduled Event"] = "Du hast heute eine geplante Veranstaltung."
	La["Scheduled Events"] = "Du hast heute %s geplante Veranstaltungen."
	La["Pending Invite"] = "Du hast eine ausstehende Einladung zu einer Veranstaltung!"
	La["Pending Invites"] = "Du hast %s ausstehende Einladungen zu einer Veranstaltung!"
	La["GuildEvent"] = "Du hast eine ausstehende Gildenveranstaltung!"
	La["GuildEvents"] = "Du hast %s ausstehende Gildenveranstaltungen!"
	La["TxtEventStartsSoon"] = "|cFFFF0000%s: |cff00E5EE%s |rbeginnt in |cff00E5EE%d |rMinuten"
	La["DlgEventStartsSoon"] = "%s beginnt in %d Minuten"
	La["Dlg2EventStartsSoon"] = "|cFFFF0000%s: |r%s beginnt in %d Minuten"
	La["EventRemoved"] = "Es wurde vermutlich eine Veranstaltung ge\195\164ndert."
	La["InGuild"] = "Du bist in einer Gilde."
	La["NoGuild"] = "Du bist in keiner Gilde."
	La["GuildLeader"] = "Du bist der Gildenmeister."
	La["MsgToGuild"] = "Mitteilungen an die Gilde sind aktiv."
	La["NoMsgToGuild"] = "Mitteilungen an die Gilde sind nicht aktiv."
	La["Queued"] = "Befehl in die Warteschlange gestellt."
	La["ResetFinish"] = "Alle Daten wurden zur\195\188ckgesetzt."
	La["Loaded"] = "geladen."
	La["EnterCommands"] = "Gib |cff00E5EE/cen|r f\195\188r weitere Befehle ein."
	La["HelpHeader"] = "Befehle f\195\188r |cff00E5EE/cen|r:"
	La["HelpSendMsg"] = "|cff00E5EEsendmsg|r Benachrichtigungen an die Gilde (an / aus)"
	La["HelpReset"] = "|cff00E5EEreset|r L\195\182scht alle gesammelten Daten"
elseif locale == "frFR" then do end
	La["View"] = "Voir"
	La["Ok"] = "OK"
	La["Scheduled Event"] = "Aujourd\'hui, vous avez un \195\169v\195\169nement pr\195\169vu."
	La["Scheduled Events"] = "Vous avez %s \195\169v\195\169nements pr\195\169vus aujourd\'hui."
	La["Pending Invite"] = "Vous avez une invitation en attente d\'un \195\169v\195\169nement!"
	La["Pending Invites"] = "Vous avez %s invitations en attente d\'un \195\169v\195\169nement!"
	La["GuildEvent"] = "Vous avez un \195\169v\195\169nement de guilde exceptionnel!"
	La["GuildEvents"] = "Vous avez %s \195\169v\195\169nements les plus marquants de la guilde!"
	La["TxtEventStartsSoon"] = "|cFFFF0000 %s:|cff00E5EE%s |rcommence en |cff00E5EE%d |rminutes"
	La["DlgEventStartsSoon"] = "%s commence en %d minutes"
	La["Dlg2EventStartsSoon"] = "|cFFFF0000%s: |r%s commence en %d minutes"
	La["EventRemoved"] = "Il a \195\169t\195\169 probablement enlev\195\169 un \195\169v\195\169nement."
	La["InGuild"] = "Vous \195\170tes dans une guilde."
	La["NoGuild"] = "Vous n'\195\170tes pas dans une guilde."
	La["GuildLeader"] = "Vous \195\170tes le ma\195\174tre de guilde."
	La["MsgToGuild"] = "Les messages de chat \195\160 la guilde sont actifs."
	La["NoMsgToGuild"] = "Les messages de chat \195\160 la guilde ne sont pas actifs."
	La["Queued"] = "Commande est en attente."
	La["ResetFinish"] = "Toutes les donn\195\169es ont \195\169t\195\169 r\195\169initialis\195\169s."
	La["Loaded"] = "charg\195\169."
	La["EnterCommands"] = "Entrez |cff00E5EE/cen|r pour plus de commandes."
	La["HelpHeader"] = "Commandes pour |cff00E5EE/cen|r:"
	La["HelpSendMsg"] = "|cff00E5EEsendmsg|r Notifications \195\160 la guilde (on / off)"
	La["HelpReset"] = "|cff00E5EEreset|r Supprime toutes les donn\195\169es recueillies"
end
